Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ObstaclesPercept::Segment Class Reference

`#include <ObstaclesPercept.h>`

Inheritance diagram for ObstaclesPercept::Segment:

[legend]
Collaboration diagram for ObstaclesPercept::Segment:

[legend]
List of all members.

## Public Member Functions
| Segment ()
## Public Attributes
Vector2< double > | nearPointOnField
| The nearest green point in ego-centric field coordinates.
Vector2< double > | farPointOnField
| The most distant green point in ego-centric field coordinates.
Vector2< double > | nearPointInImage
| The nearest green point in image coordinates.
Vector2< double > | farPointInImage
| The most distant green point in image coordinates.
bool | farPointIsOnImageBorder
| Indicates if the far point is an obstacle or the image border.
ObstacleType | obstacleType
| The type of the obstacle limiting free space.
## Private Member Functions
void | serialize (In *in, Out *out)

## Constructor & Destructor Documentation

ObstaclesPercept::Segment::Segment | ( |  | ) | `[inline]`

| Definition at line 58 of file ObstaclesPercept.h. References farPointIsOnImageBorder.

## Member Function Documentation

void ObstaclesPercept::Segment::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, private, virtual]`

| Implements Streamable. Definition at line 38 of file ObstaclesPercept.h. References farPointInImage, farPointIsOnImageBorder, farPointOnField, nearPointInImage, nearPointOnField, STREAM, STREAM_ENUMASINT, STREAM_REGISTER_BEGIN, and STREAM_REGISTER_FINISH.

## Member Data Documentation

Vector2<double> ObstaclesPercept::Segment::nearPointOnField

| The nearest green point in ego-centric field coordinates. Definition at line 51 of file ObstaclesPercept.h. Referenced by GT2005ObstaclesLocator::addObstaclesPercept(), SlamImageProcessor::scan(), and serialize().

Vector2<double> ObstaclesPercept::Segment::farPointOnField

| The most distant green point in ego-centric field coordinates. Definition at line 51 of file ObstaclesPercept.h. Referenced by GT2005ObstaclesLocator::addObstaclesPercept(), SlamImageProcessor::scan(), and serialize().

Vector2<double> ObstaclesPercept::Segment::nearPointInImage

| The nearest green point in image coordinates. Definition at line 51 of file ObstaclesPercept.h. Referenced by SlamImageProcessor::scan(), and serialize().

Vector2<double> ObstaclesPercept::Segment::farPointInImage

| The most distant green point in image coordinates. Definition at line 51 of file ObstaclesPercept.h. Referenced by SlamImageProcessor::scan(), and serialize().

bool ObstaclesPercept::Segment::farPointIsOnImageBorder

| Indicates if the far point is an obstacle or the image border. Definition at line 55 of file ObstaclesPercept.h. Referenced by GT2005ObstaclesLocator::addObstaclesPercept(), SlamImageProcessor::scan(), Segment(), and serialize().

ObstacleType ObstaclesPercept::Segment::obstacleType

| The type of the obstacle limiting free space. Definition at line 56 of file ObstaclesPercept.h. Referenced by GT2005ObstaclesLocator::addObstaclesPercept(), and SlamImageProcessor::scan().

The documentation for this class was generated from the following file:

- Representations/Perception/ObstaclesPercept.h